Bug 1499564 - dnf list installed crashes
Summary: dnf list installed crashes
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Rohel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-08 16:44 UTC by nicolas.vieville
Modified: 2017-11-11 02:54 UTC (History)
8 users (show)

Fixed In Version: dnf-2.7.4-1.fc26 dnf-2.7.4-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-25 23:11:24 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description nicolas.vieville 2017-10-08 16:44:50 UTC
Description of problem:
dnf doesn't list installed packages and crashes.

Version-Release number of selected component (if applicable):
dnf-2.7.3-1.fc26.noarch

How reproducible:
Use repositories with includepkgs directive, install some packages from this repositories and launch "dnf list installed".

Example of includepkgs directive:
includepkgs=HandBrake* makemkv mmdtsdec libfdk-aac libmfx x265*

Steps to Reproduce:
1.
2.
3.

Actual results:
Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1010, in run
    self._process_demands()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 763, in _process_demands
    load_available_repos=self.demands.available_repos)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 349, in fill_sack
    self._setup_excludes_includes()
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 159, in _setup_excludes_includes
    self.sack.set_use_includes(True, r.id)
ValueError: Can't set use_includes for repo with given name.


Expected results:
List of the installed packages

Additional info:

I can't say precisely when this issue arrived, maybe it was introduced by https://github.com/rpm-software-management/dnf/commit/4c4616ff6a2b5847fb70ce2e0f8414c1f728b9c1

Cordially,


-- 
NVieville

Comment 1 Jaroslav Rohel 2017-10-11 04:54:44 UTC
PR: https://github.com/rpm-software-management/dnf/pull/949

Comment 2 nicolas.vieville 2017-10-11 17:30:42 UTC
Hello,

Manually applying the differences from 

https://github.com/rpm-software-management/dnf/commit/afd785c5aeb62352b3e54c8be329ea6a7cb844c9

of

https://github.com/rpm-software-management/dnf/pull/949

seems to correct the problem. Command dnf list installed doesn't crash and gives correct result with repositories where includepkgs directive is present.

Cordially,


-- 
NVieville

Comment 3 Fedora Update System 2017-10-16 09:05:46 UTC
dnf-2.7.4-1.fc26 libdnf-0.11.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f04c2c90f

Comment 4 Fedora Update System 2017-10-16 09:06:48 UTC
dnf-2.7.4-1.fc27 libdnf-0.11.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-113a221a3d

Comment 5 Fedora Update System 2017-10-16 18:22:56 UTC
dnf-2.7.4-1.fc26, libdnf-0.11.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f04c2c90f

Comment 6 Fedora Update System 2017-10-17 02:24:30 UTC
dnf-2.7.4-1.fc27, libdnf-0.11.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-113a221a3d

Comment 7 Fedora Update System 2017-10-25 23:11:24 UTC
dnf-2.7.4-1.fc26, libdnf-0.11.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-11-11 02:54:42 UTC
dnf-2.7.4-1.fc27, libdnf-0.11.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.